#!/bin/sh

set -e

# Avoid problems due to certificate
export GIT_SSL_NO_VERIFY=1

# Checkout
CALL_DIR=$PWD
cd $1
git submodule update --init
git submodule foreach --recursive git clean -xfd
git describe --always --dirty | tee $CALL_DIR/wrpc-sw_repo_ver.txt

echo "Check-out complete."
